Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class ElementValue

    java.lang.Object
      org.exist.storage.btree.Value
          org.exist.storage.ElementValue

All Implemented Interfaces:
  java.lang.Comparable

public class ElementValue
extends Value

Author:
  wolf

Field Summary
`static byte` | `ATTRIBUTE`
`static byte` | `ATTRIBUTE_ID`
`static byte` | `ELEMENT`
`static java.lang.String[]` | `type`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.exist.storage.btree.Value
`comparePrefix, compareTo, compareTo, data, dump, endsWith, equals, equals, getAddress, getData, getLength, hashCode, setAddress, start, startsWith`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT

    public static final byte ELEMENT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final byte ATTRIBUTE

See Also:
  Constant Field Values

### ATTRIBUTE_ID

    public static final byte ATTRIBUTE_ID

See Also:
  Constant Field Values

### type

    public static final java.lang.String[] type

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Value`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.